# Uses of Interface
org.apache.cxf.endpoint.ConduitSelector

Packages that use ConduitSelector
Package
Description
org.apache.cxf.endpoint

- ## Uses of ConduitSelector in org.apache.cxf.endpoint

  Classes in org.apache.cxf.endpoint that implement ConduitSelector
  Modifier and Type
  Class
  Description
  `class`
  `AbstractConduitSelector`
  Abstract base class holding logic common to any ConduitSelector that retrieves a Conduit from the ConduitInitiator.
  `class`
  `DeferredConduitSelector`
  Strategy for lazy deferred retreival of a Conduit to mediate an outbound message.
  `class`
  `NullConduitSelector`
  Strategy for null Conduit retrieval.
  `class`
  `PreexistingConduitSelector`
  Strategy for retreival of a pre-existing Conduit to mediate an outbound message.
  `class`
  `UpfrontConduitSelector`
  Strategy for eager upfront retreival of a Conduit to mediate an outbound message.
  Fields in org.apache.cxf.endpoint declared as ConduitSelector
  Modifier and Type
  Field
  Description
  `protected ConduitSelector`
  AbstractEndpointFactory.`conduitSelector`
  `protected ConduitSelector`
  ClientImpl.`conduitSelector`
  Methods in org.apache.cxf.endpoint that return ConduitSelector
  Modifier and Type
  Method
  Description
  `ConduitSelector`
  AbstractEndpointFactory.`getConduitSelector()`
  `ConduitSelector`
  Client.`getConduitSelector()`
  Get the ConduitSelector responsible for retreiving the Conduit.
  `final ConduitSelector`
  ClientImpl.`getConduitSelector()`
  `protected final ConduitSelector`
  ClientImpl.`getConduitSelector(ConduitSelector override)`
  `ConduitSelector`
  ConduitSelectorHolder.`getConduitSelector()`
  Methods in org.apache.cxf.endpoint with parameters of type ConduitSelector
  Modifier and Type
  Method
  Description
  `protected final ConduitSelector`
  ClientImpl.`getConduitSelector(ConduitSelector override)`
  `void`
  AbstractEndpointFactory.`setConduitSelector(ConduitSelector selector)`
  `void`
  Client.`setConduitSelector(ConduitSelector selector)`
  Set the ConduitSelector responsible for retreiving the Conduit.
  `final void`
  ClientImpl.`setConduitSelector(ConduitSelector selector)`
  `void`
  ConduitSelectorHolder.`setConduitSelector(ConduitSelector conduitSelector)`
  Constructors in org.apache.cxf.endpoint with parameters of type ConduitSelector
  Modifier
  Constructor
  Description
  ``
  `ClientImpl(Bus b, Endpoint e, ConduitSelector sc)`